LIRC libraries: lirc.client.LircdConnection Class Reference

| LIRC libraries LinuxInfraredRemoteControl

Public Member Functions | List of all members
lirc.client.LircdConnection Class Reference
Python client bindings » Classes to receive keypresses

Interface to receive lircrc-translated keypresses. More...

Inheritance diagram for lirc.client.LircdConnection:

## Public Member Functions
def | __init__
def | readline
| Implements AbstractConnection.readline(). More...
def | has_data (self)
| Implements AbstractConnection.has_data()
def | fileno (self)
| Implements AbstractConnection.fileno(). More...
def | close (self)
| Implements AbstractConnection.close()
Public Member Functions inherited from lirc.client.AbstractConnection
def | __enter__ (self)
def | __exit__ (self, exc_type, exc, traceback)
def | readline
| Read a buffered line. More...
def | fileno (self)
| Return the file nr used for IO, suitable for select() etc. More...
def | has_data (self)
| Return true if next readline(None) won't block . More...
def | close (self)
| Close/release all resources.

## Detailed Description

Interface to receive lircrc-translated keypresses.

This is basically built on top of lirc_code2char() and as such supporting centralized translations using lircrc_class. See lircrcd(8).

Parameters
  - program: string, used to identify client. See ircat(1)
  - lircrc: lircrc file path. See get_default_lircrc_path() for defaults.
  - socket_path: lircd output socket path, see get_default_socket_path() for defaults.

Definition at line 266 of file client.py.

## Member Function Documentation

## § fileno()

def lirc.client.LircdConnection.fileno | ( |  | self,
|  |  | int
| ) |  |

Implements AbstractConnection.fileno().

Definition at line 301 of file client.py.

## § readline()

def lirc.client.LircdConnection.readline | ( |  | self,
|  |  | timeout
| ) |  |

Implements AbstractConnection.readline().

Definition at line 282 of file client.py.

The documentation for this class was generated from the following file:

- /home/mk/tmp/lirc/python-pkg/lirc/client.py (c46974b 2017-01-23 02:17:12 +0100)